Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.adaptor.pdf
Class Action

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.adaptor.pdf.Action

public class Action
extends Behavior

Default implementations of PDF actions: GoTo, GoToR, Launch, Thread, URI, Sound, Movie, Hide, Named, SubmitForm, ResetForm, ImportData, JavaScript. Implemented: GoTo, GoToR, and URI, Named.

Version:
  $Revision: 1.6 $ $Date: 2004/03/14 21:46:37 $

Field Summary
`static java.lang.String` | `MSG_EXECUTE` Message of semantic event that announces a PDF action that some handler (another behavior) should execute.

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`Action()`

Method Summary
`static java.lang.Object` | `resolveNamedDest(java.lang.Object key, PDFReader pdfr)`
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` Implements the PDF Action, as requested by `MSG_EXECUTE`.

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restore, restoreChildren, save, semanticEventBefore, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_EXECUTE

    public static final java.lang.String MSG_EXECUTE

  Message of semantic event that announces a PDF action that some handler (another behavior) should execute. arg = action dictionary, in = handle to this behavior (for fetching component objects), out = root of PDF document tree.

  See Also:
    Constant Field Values

Constructor Detail

### Action

    public Action()

Method Detail

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  Implements the PDF Action, as requested by `MSG_EXECUTE`.

  Overrides:
    `semanticEventAfter` in class `Behavior`

### resolveNamedDest

    public static java.lang.Object resolveNamedDest(java.lang.Object key,
                                                    PDFReader pdfr)
                                             throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD